## org.apache.xml.serializer
Interface SerializationHandler

All Superinterfaces:
  ContentHandler, DeclHandler, DOMSerializer, ErrorHandler, ExtendedContentHandler, ExtendedLexicalHandler, LexicalHandler, Serializer, XSLOutputAttributes

All Known Implementing Classes:
  EmptySerializer, SerializerBase

public interface SerializationHandler
extends ExtendedContentHandler, ExtendedLexicalHandler, XSLOutputAttributes, DeclHandler, ErrorHandler, DOMSerializer, Serializer

This interface is the one that a serializer implements. It is a group of other interfaces, such as ExtendedContentHandler, ExtendedLexicalHandler etc. In addition there are other methods, such as reset().

Field Summary

Fields inherited from interface org.apache.xml.serializer.ExtendedContentHandler
`HTML_ATTREMPTY, HTML_ATTRURL, NO_BAD_CHARS`

Method Summary
`void` `close()`
`void` `flushPending()` Flush any pending events currently queued up in the serializer.
`Transformer` `getTransformer()` Get the transformer associated with the serializer.
`void` `serialize(Node node)` Notify that the serializer should take this DOM node as input to be serialized.
`void` `setContentHandler(ContentHandler ch)` Set the SAX Content handler that the serializer sends its output to.
`boolean` `setEscaping(boolean escape)` Turns special character escaping on/off.
`void` `setIndentAmount(int spaces)` Set the number of spaces to indent for each indentation level.
`void` `setNamespaceMappings(NamespaceMappings mappings)` Used only by TransformerSnapshotImpl to restore the serialization to a previous state.
`void` `setTransformer(Transformer transformer)` Set the transformer associated with the serializer.

Methods inherited from interface org.apache.xml.serializer.ExtendedContentHandler
`addAttribute, addAttribute, addAttributes, addUniqueAttribute, characters, endElement, entityReference, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getPrefix, namespaceAfterStartElement, setSourceLocator, startElement, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.apache.xml.serializer.ExtendedLexicalHandler
`comment`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.xml.serializer.XSLOutputAttributes
`getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getIndentAmount, getMediaType, getOmitXMLDeclaration, getStandalone, getVersion, setCdataSectionElements, setDoctype, setDoctypePublic, setDoctypeSystem, setEncoding, setIndent, setMediaType, setOmitXMLDeclaration, setStandalone, setVersion`

Methods inherited from interface org.xml.sax.ext.DeclHandler
`attributeDecl, elementDecl, externalEntityDecl, internalEntityDecl`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Methods inherited from interface org.apache.xml.serializer.Serializer
`asContentHandler, asDOMSerializer, getOutputFormat, getOutputStream, getWriter, reset, setOutputFormat, setOutputStream, setWriter`

Method Detail

### setContentHandler

    public void setContentHandler(ContentHandler ch)

  Set the SAX Content handler that the serializer sends its output to. This method only applies to a ToSAXHandler, not to a ToStream serializer.

  See Also:
    `Serializer.asContentHandler()`, `ToSAXHandler`

### close

    public void close()

### serialize

    public void serialize(Node node)
                   throws java.io.IOException

  Notify that the serializer should take this DOM node as input to be serialized.

  Specified by:
    `serialize` in interface `DOMSerializer`
  Parameters:
    `node` - the DOM node to be serialized.
  Throws:
    `java.io.IOException`

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws SAXException

  Turns special character escaping on/off. Note that characters will never, even if this option is set to 'true', be escaped within CDATA sections in output XML documents.

  Throws:
    `SAXException`

### setIndentAmount

    public void setIndentAmount(int spaces)

  Set the number of spaces to indent for each indentation level.

  Parameters:
    `spaces` - the number of spaces to indent for each indentation level.

### setTransformer

    public void setTransformer(Transformer transformer)

  Set the transformer associated with the serializer.

  Parameters:
    `transformer` - the transformer associated with the serializer.

### getTransformer

    public Transformer getTransformer()

  Get the transformer associated with the serializer.

  Returns:
    Transformer the transformer associated with the serializer.

### setNamespaceMappings

    public void setNamespaceMappings(NamespaceMappings mappings)

  Used only by TransformerSnapshotImpl to restore the serialization to a previous state.

### flushPending

    public void flushPending()
                      throws SAXException

  Flush any pending events currently queued up in the serializer. This will flush any input that the serializer has which it has not yet sent as output.

  Throws:
    `SAXException`

Copyright © 2004 Apache XML Project. All Rights Reserved.